## org.eclipse.datatools.connectivity
Interface IConnectListener

All Known Implementing Classes:
  ConnectAdapter

Deprecated. Created on May 24, 2005

public interface IConnectListener

Used by UI components to synchronize connectivity of connection profiles. When a request is made to open or close a profile, any component referencing that profile is notifed through this interface. In the event a close is requested, a check is made prior to issuing the close call to see if any open connections are in use.

Author:
  rcernich

Method Summary
`void` `closeConnection(ConnectEvent event)` Deprecated. The listener should close its connection to the server.
`boolean` `okToClose(ConnectEvent event)` Deprecated. Return false if the connection should be kept open
`void` `openConnection(ConnectEvent event)` Deprecated. The listener should open a connection to the server.

Method Detail

### okToClose

    public boolean okToClose(ConnectEvent event)

  Deprecated.
  Return false if the connection should be kept open

  Parameters:
    `event` -
  Returns:
    true if the connection can be closed; false if it should be left open.

### openConnection

    public void openConnection(ConnectEvent event)
                        throws CoreException

  Deprecated.
  The listener should open a connection to the server.

  Parameters:
    `event` -
  Throws:
    `CoreException` - if an error occurs opening the connection.

### closeConnection

    public void closeConnection(ConnectEvent event)
                         throws CoreException

  Deprecated.
  The listener should close its connection to the server.

  Parameters:
    `event` -
  Throws:
    `CoreException` - if an error occurs closing the connection.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.